$(document).ready(function() {
  ObtenerMaterial();
  LoadDetalles();
});
/*CORRESPONDIENTE AL FORMULARIO listadoCompras*/
$(document).on("click", ".btnGetMat", function() {
  $(".loading_").removeClass('hidden');
  setTimeout('ObtenerMaterial()',1000);



});
/*CORRESPONDIENTE AL FORMULARIO listadoCompras*/
$(document).on("click", ".btnInfo_oc", function() {
  var id = $(this).attr("idOC");
  document.location = "detallesOC?OC=" + id;
});
$(document).on("click", ".btnVerPdf", function() {
  var id_oc =  $("#_id_OC").val();
  window.open("extentions/tcpdf/pdf/oc-pdf.php?idOC="+id_oc, "_blank");
});
$(document).on("click", ".btnCrearOC_pdf", function() {
  swal({
    title: '¿Esta seguro de querer generar la Orden de compra?',
    text: "¡Usted ya no podra realizár ningun cambio!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, Generar!'
  }).then(function(result) {
    if (result.value) {
      cambiarStatusOC();
    }
  });
});
function cambiarStatusOC() {
  var id_oc =  $("#_id_OC").val();
  window.open("extentions/tcpdf/pdf/oc-pdf.php?idOC="+id_oc, "_blank");
  /*
  var datos = new FormData();
  datos.append("UpdateStatusOC_", id_oc);
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {
        if (respuesta == "ok") {
          swal({
            type: "success",
            title: "¡Orden generada correctamente!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
          }).then(function(result) {

            GetMasterOC();

            window.open("extentions/tcpdf/pdf/oc-pdf.php?idOC="+id_oc, "_blank");
            ObtenerMaterialOC();
          });
        } else {
          swal({
            type: "error",
            title: "¡Error al realizar petición!" + respuesta,
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
          }).then(function(result) {
            if (result.value) {}
          });
        }
      }
    });*/
}

$("#_selContacto").on("change", function() {
  var id = $(this).val();
  obtenerCorreo(id);
});
function obtenerCorreo(id) {
  var datos = new FormData();
  datos.append("GetDatosContacto_", id);
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {
        $("#divCorreo").removeClass('hidden');
        for (var i = 0; i < respuesta.length; i++) {
          $("#txtCuenta_correo").val(respuesta[i]["contP_correo"]);
        }
      }
    });
}
$(document).on("click", ".btnEnviarOC", function() {
    GenerarOC_Det();
});
function GenerarOC_Det() {
  var id_oc =  $("#_id_OC").val();
  var correo = $("#txtCuenta_correo").val();
  var selectC = $("#_selContacto").val();
  if(selectC !== "" && selectC !== undefined && selectC !== "Seleccione un contacto"){
    var idSoli = $("#_Id_SolicitudVerSolicitud").val();
    var nameCorreo = $("#txtCuenta_correo").val();
    document.location = "extentions/PHPMailer/SendEmailOC.php?correo="+correo+"&idOC="+id_oc+"";
  }else {
      swal({
        type: "error",
        title: "¡Es necesario colocar una cuenta de correo electronico!",
        showConfirmButton: true,
        confirmButtonText: "Cerrar"
      }).then(function(result) {
        if (result.value) {}
      });
  }
}
$(document).on("click", ".btnGenerarOC_Det", function() {
  swal({
    title: '¿Esta seguro de querer generar la Orden de compra?',
    text: "¡Usted ya no podra realizár ningun cambio!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, Generar!'
  }).then(function(result) {
    if (result.value) {

    $("#enviarOC").modal('show');
    }
  });

});

$(document).on("click", ".btnTotalOC", function() {
  SaveTotalOC();
});
$("#txtIvaOC").on("change", function() {
  /*Se realiza la sumatoria del subtotal de la OC + el monto del IVA*/
  var iva = $("#txtIvaOC").val();
  var sub = $("#lblSubtotalOC").val();
  var total = parseFloat(sub) + parseFloat(iva);
  if (total < 0 || iva == "") {
    swal({
      type: "error",
      title: "¡Favor de colocar un monto correcto!",
      showConfirmButton: true,
      confirmButtonText: "Cerrar"
    }).then(function(result) {
      if (result.value) {}
      $(".btnTotalOC").addClass('hidden');
      $("#txtIvaOC").val("");
      $("#txtTotalOC").val("0");
    });
  }else {
    $("#txtTotalOC").val(total);
    $(".btnTotalOC").removeClass('hidden');
  }
});
function SaveTotalOC() {
  var id_oc =  $("#_id_OC").val();
  var iva = $("#txtIvaOC").val();
  var total = $("#txtTotalOC").val();
  if (iva == "" || iva == undefined) {
    swal({
      type: "error",
      title: "¡Todos los campos marcados con * son requeridos!",
      showConfirmButton: true,
      confirmButtonText: "Cerrar"
    }).then(function(result) {
      if (result.value) {}
    });
  }else {
    var dato = '{"id_ordenCompra":"' + id_oc + '",';
        dato += '"oc_iva":"' + iva + '",';
        dato += '"oc_total":"' + total + '"}';
    var datos = new FormData();
    datos.append("UpdateMontosOC_", dato);
      $.ajax({
        url: "ajax/compras.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta) {
          if (respuesta == "ok") {
            swal({
              type: "success",
              title: "¡Datos guardados correctamente!",
              showConfirmButton: true,
              confirmButtonText: "Cerrar"
            }).then(function(result) {
              ObtenerMaterialOC();
              GetMasterOC();
              $(".btnCrearOC_pdf").removeClass('hidden');
              $(".btnGenerarOC_Det").removeClass('hidden');
            });
          } else {
            swal({
              type: "error",
              title: "¡Error al realizar petición!" + respuesta,
              showConfirmButton: true,
              confirmButtonText: "Cerrar"
            }).then(function(result) {
              if (result.value) {}
            });
          }
        }
      });
  }
}
$(document).on("click", ".btnAddMat", function() {
  var id = $(this).attr("id_Material");
  AddMaterialOC(id);
});
function AddMaterialOC(id) {
  var id_oc =  $("#_id_OC").val();
  var dato = '{"id_ordenCompra":"' + id_oc + '",';
      dato += '"id_requi_material":"' + id + '"}';
  var datos = new FormData();
  datos.append("AddMat_", dato);
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {
        if (respuesta == "ok") {
          swal({
            type: "success",
            title: "¡Material agregado correctamente!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
          }).then(function(result) {
            $("#modalNuevoMaterial").modal('hide');
            ObtenerMaterialOC();
            GetMasterOC();
          });
        } else {
          swal({
            type: "error",
            title: "¡Error al realizar petición!" + respuesta,
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
          }).then(function(result) {
            if (result.value) {}
          });
        }
      }
    });
}
$(document).on("click", ".btnNewMaterial", function() {
  $("#modalNuevoMaterial").modal('show');
  ObtenerMaterial_detalles();
});
function ObtenerMaterial_detalles() {
    var nameTabla = "tbl_material_detalleOC";
    DestroyTableCompras(nameTabla);
    var valor = 0;
    var datos = new FormData();
    datos.append("GetMaterialAprobado_", valor);
    // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {
        var print = "";
        for (var i = 0; i < respuesta.length; i++) {
            print += "<tr>";
            //print += "<td><label><input type='checkbox' class='flat-red'></label></td>";
            print += "<td>" + respuesta[i]['requiM_cantidad'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_unidad_medida'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_descripcion'] + "</td>";
            print += "<td>" + respuesta[i]['folio_numero'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_solicitante'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_moneda'] + "</td>";
            if (respuesta[i]['requiM_moneda'] == "MXN") {
              print += "<td>" + respuesta[i]['requiM_total_mxn'] + "</td>";
            } else {
              print += "<td>" + respuesta[i]['requiM_total_usd'] + "</td>";
            }
            print += "<td>";
            print += "<div class='btn-group'>";
            print += "<a class='btn btn-success btnAddMat' id_Material= " + respuesta[i]['id_requi_material'] + "><i class='fa fa-check-square'></i></a>";
            print += "</div>";
            print += "</td>";
            print += "</tr>";
        }

        $("#printMatAprobado_detalles").html(print);
        TableCompras(nameTabla);
      }
    });
}
/*Eliminar partida de materiales de la OC y pasarlos a status de 'Aprobado'*/
$(document).on("click", ".deleteMat", function() {
  var idMat = $(this).attr("idmat");
  var idocDetalle = $(this).attr("idocDetalle");
  swal({
    title: '¿Esta seguro de querer eliminar esta partida?',
    text: "¡Usted puede cancelar la orden!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, Detener!'
  }).then(function(result) {
    if (result.value) {
      DeleteMaterial(idocDetalle,idMat);
    }
  });
});
function DeleteMaterial(idocDetalle,idMat) {
  var id_oc =  $("#_id_OC").val();

  var dato = '{"id_ocDetalle":"' + idocDetalle + '",';
      dato += '"fk_id_RequiMat":"' + idMat + '",';
      dato += '"id_ordenCompra":"' + id_oc + '"}';
  var datos = new FormData();
  datos.append("DeleteMat_", dato);
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {
        if (respuesta == "ok") {
          swal({
            type: "success",
            title: "¡Material eliminado correctamente!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
          }).then(function(result) {
            ObtenerMaterialOC();
            GetMasterOC();
          });
        } else {
          swal({
            type: "error",
            title: "¡Error al realizar petición!" + respuesta,
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
          }).then(function(result) {
            if (result.value) {}
          });
        }
      }
    });
}
$(document).on("click", ".saveMasterOC", function() {
  UpdateOC();
});
function UpdateOC() {

  var id_oc =  $("#_id_OC").val();
  var prov = $("#selProveedor_detalles").val();
  var cont = $("#selContacto_detalles").val();
  var moneda = $("#txtMoneda_detalles").val();
  var observ = $("#txtObservaciones_detalles").val();

  if (prov == "" || cont == "" || moneda == "") {
    swal({
      type: "error",
      title: "¡Todos los campos marcados con * son requeridos!",
      showConfirmButton: true,
      confirmButtonText: "Cerrar"
    }).then(function(result) {
      if (result.value) {}
    });
  }else {
    if (observ == "") {
      observ = "N/A";
    }
    var dato = '{"id_ordenCompra":"' + id_oc + '",';
        dato += '"id_proveedor":"' + prov + '",';
        dato += '"fk_id_contacto":"' + cont + '",';
        dato += '"fk_id_divisa":"' + moneda + '",';
        dato += '"oc_observaciones":"' + observ + '",';
        dato += '"arrayMat":"' + materiales + '"}';

    var datos = new FormData();
    datos.append("UpdateOC_", dato);
      $.ajax({
        url: "ajax/compras.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta) {
          if (respuesta == "ok") {
            swal({
              type: "success",
              title: "¡Datos actualizados correctamente!",
              showConfirmButton: true,
              confirmButtonText: "Cerrar"
            }).then(function(result) {
              if (result.value) {
              }
              ObtenerMaterialOC();
              GetMasterOC();
            });
          } else {
            swal({
              type: "error",
              title: "¡Error al realizar petición!" + respuesta,
              showConfirmButton: true,
              confirmButtonText: "Cerrar"
            }).then(function(result) {
              if (result.value) {}
            });
          }
        }
      });
  }
}
var statusOC = false;
function ObtenerMaterialOC(){
  var idtable = "tbl_material_OC";
  DestroyTableCompras(idtable);
  var valor = 0;
  var idOC = $("#_id_OC").val();
  var datos = new FormData();
  datos.append("_GetMaterialOC", idOC);
  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
  $.ajax({
    url: "ajax/compras.ajax.php",
    method: "POST",
    data: datos,
    cache: false,
    contentType: false,
    processData: false,
    dataType: "json",
    success: function(respuesta) {
      var print = "";
      var contador = 0;

      for (var i = 0; i < respuesta.length; i++) {
        contador++;
        print += "<tr>";
        print += "<td>" + contador + "</td>";
        print += "<td>" + respuesta[i]['requiM_cantidad'] + "</td>";
        print += "<td>" + respuesta[i]['requiM_unidad_medida'] + "</td>";
        print += "<td>" + respuesta[i]['requiM_descripcion'] + "</td>";
        if (respuesta[i]['fk_id_divisa'] == 1) {
          print += "<td>" + respuesta[i]['requiM_total_mxn'] + "</td>";
        }else {
          print += "<td>" + respuesta[i]['requiM_total_usd'] + "</td>";
        }
        if (statusOC == true) {
          print += "<td>";
          print += "<div class='btn-group'>";
          print += "<a class='btn btn-danger deleteMat disabled' idocDetalle=" + respuesta[i]['id_ocDetalle'] + " idmat=" + respuesta[i]['fk_id_RequiMat'] + "><i class='fa fa-trash'></i></a>";
          print += "</div>";
          print += "</td>";
        }else {
          print += "<td>";
          print += "<div class='btn-group'>";
          print += "<a class='btn btn-danger deleteMat' idocDetalle=" + respuesta[i]['id_ocDetalle'] + " idmat=" + respuesta[i]['fk_id_RequiMat'] + "><i class='fa fa-trash'></i></a>";
          print += "</div>";
          print += "</td>";
        }
        print += "</tr>";
      }
      if (statusOC == true) {
        $(".btnNewMaterial").addClass('hidden');
        $(".saveMasterOC").addClass('hidden');
        $(".btnTotalOC").addClass('hidden');
        $(".btnCrearOC_pdf").addClass('hidden');
        $(".btnGenerarOC_Det").addClass('hidden');
        $(".btnVerPdf").removeClass('hidden');
      }
      $("#printMatOC").html(print);
      TableSinPaginado(idtable);
    }
  })
}
$("#selProveedor_detalles").on("change", function() {
  var id_proveedor = $(this).val();
  idContacto = "";
  GetContacto(id_proveedor);
});
var idContacto = 0;
//var moneda = "";
function GetMasterOC() {
  var id = $("#_id_OC").val();
  var datos = new FormData();
  datos.append("_GetMasterOC", id);
  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
  $.ajax({
    url: "ajax/compras.ajax.php",
    method: "POST",
    data: datos,
    cache: false,
    contentType: false,
    processData: false,
    dataType: "json",
    success: function(respuesta) {
      for (var i = 0; i < respuesta.length; i++) {
        //Input
        $("#lblFolioOC").val(respuesta[i]['oc_folio']);
        $("#txtObservaciones_detalles").val(respuesta[i]['oc_observaciones']);
        $("#txtMoneda_detalles").val(respuesta[i]['fk_id_divisa']);
        //SELECT
        $("#selProveedor_detalles").val(respuesta[i]['id_proveedor']);
        idContacto = respuesta[i]['fk_id_contacto'];
        GetContacto(respuesta[i]['id_proveedor']);
        //$("#selContacto_detalles").val(respuesta[i]['fk_id_contacto']);
        $("#lblSubtotalOC").val(respuesta[i]['oc_subtotal']);
        //moneda = respuesta[i]['moneda_descripcion'];
        if (respuesta[i]['oc_iva'] !== undefined && respuesta[i]['oc_iva'] !== null  && respuesta[i]['oc_iva'] !== "") {
          $("#txtIvaOC").val(respuesta[i]['oc_iva']);
        }
        if (respuesta[i]['oc_iva'] !== undefined && respuesta[i]['oc_iva'] !== null  && respuesta[i]['oc_iva'] !== "") {
          $("#txtTotalOC").val(respuesta[i]['oc_total']);
          $(".btnCrearOC_pdf").removeClass('hidden');
          $(".btnGenerarOC_Det").removeClass('hidden');
        }
        if (respuesta[i]['fk_id_statusOC'] == 2 ) {
          statusOC = true;
        }
          $("#lbl_Empresa").val(respuesta[i]['prov_nombre']);
        }
      }
  });
}
function LoadDetalles() {
  var sPaginaURL = window.location.search.substring(1);
  var sURLVariables = sPaginaURL.split('&');
  var sp = sPaginaURL.split('&');
  var sp1 = sURLVariables[0].split('=');

  switch (sp1[0]) {

    case "OC":
      //  alert(sp1[1]);
      $("#_id_OC").val(sp1[1]);
      GetMasterOC();
      ObtenerMaterialOC();
      break;
    default:
  }
}
$(document).on("click", "#btnGenerarOC", function() {
  SaveOC();
});
function SaveOC() {

  var prov = $("#selProveedor").val();
  var cont = $("#selContacto").val();
  var moneda = $("#selTipoMoneda").val();
  var observ = $("#txtObservaciones").val();

  if (prov == "" || cont == "" || moneda == "") {
    swal({
      type: "error",
      title: "¡Todos los campos marcados con * son requeridos!",
      showConfirmButton: true,
      confirmButtonText: "Cerrar"
    }).then(function(result) {
      if (result.value) {}
    });
  }else {
    if (observ == "") {
      observ = "N/A";
    }
    var dato = '{"id_proveedor":"' + prov + '",';
        dato += '"fk_id_contacto":"' + cont + '",';
        dato += '"fk_id_divisa":"' + moneda + '",';
        dato += '"oc_observaciones":"' + observ + '",';
        dato += '"arrayMat":"' + materiales + '"}';

    var datos = new FormData();
    datos.append("SaveOC_", dato);
      $.ajax({
        url: "ajax/compras.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta) {
          if (respuesta !== "") {
            swal({
              type: "success",
              title: "¡Datos guardados correctamente!",
              showConfirmButton: true,
              confirmButtonText: "Cerrar"
            }).then(function(result) {
              if (result.value) {
                document.location = "detallesOC?OC=" + respuesta;
              }
            });
          } else {
            swal({
              type: "error",
              title: "¡Error al realizar petición!" + respuesta,
              showConfirmButton: true,
              confirmButtonText: "Cerrar"
            }).then(function(result) {
              if (result.value) {}
            });
          }
        }
      });
  }
}
function GetContacto(id_proveedor) {
  var datos = new FormData();
  datos.append("getContacto_", id_proveedor);
  $.ajax({
    url: "ajax/compras.ajax.php",
    method: "POST",
    data: datos,
    cache: false,
    contentType: false,
    processData: false,
    dataType: "json",
    success: function(respuesta) {
      var print = "";
      if (respuesta.length == 0) {
        print = "<option>No existen contactos para esta empresa</option>";
      } else {
        //idContacto = "";
        print = "<option>Seleccione un contacto</option>";
        for (var i = 0; i < respuesta.length; i++) {
          print += "<option value=" + respuesta[i]['id_contactoProv'] + ">";
          print += respuesta[i]['contP_nombre'];
          print += "</option>";
        }
      }
      $("#selContacto").html(print);
      $("#selContacto_detalles").html(print);
      $("#_selContacto").html(print);
      if (idContacto !== undefined && idContacto !== null && idContacto !== "") {
          $("#selContacto_detalles").val(idContacto);
      }
    }
  })
}
$("#selProveedor").on("change", function() {
  var id_proveedor = $(this).val();
  GetContacto(id_proveedor);
});
$(document).on("click", ".btnModal", function() {
  obtenerChecks();
});
var materiales = [];
function obtenerChecks(){

  var arr = $('[name="checks[]"]:checked').map(function(){
    return this.value;
  }).get();
  if (arr.length <= 0) {
    swal({
      type: "error",
      title: "¡Seleccione al menos un material!",
      showConfirmButton: true,
      confirmButtonText: "Cerrar"
    }).then(function(result) {
      if (result.value) {}
    });
  }else {
    $("#modalNuevaOC").modal('show');
    var str = arr.join(',');
    materiales = arr.join(',');;
    //alert(JSON.stringify(arr));
  }

}
$(document).on("click", ".filterMat", function(){
    var idFolio = $(this).attr("FolioFiltro");
   FiltroMaterial(idFolio);
});
/*=============================================
  LISTADO DE MATERIALES CON FILTRO DE id_folio
=============================================*/
function FiltroMaterial(idFolio) {
    var nameTabla = "tbl_material_aprobado";
    DestroyTableCompras(nameTabla);
    var datos = new FormData();
    datos.append("GetMaterialAprobado_", idFolio);
    // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {

        var print = "";
        for (var i = 0; i < respuesta.length; i++) {
            print += "<tr>";
            print += "<td><input type='checkbox' name='checks[]' value="+ respuesta[i]['id_requi_material'] +"></td>";
            //print += "<td><label><input type='checkbox' class='flat-red'></label></td>";
            print += "<td>" + respuesta[i]['requiM_cantidad'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_unidad_medida'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_descripcion'] + "</td>";
            print += "<td>" + respuesta[i]['folio_numero'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_solicitante'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_moneda'] + "</td>";
            if (respuesta[i]['requiM_moneda'] == "MXN") {
              print += "<td>" + respuesta[i]['requiM_total_mxn'] + "</td>";
            } else {
              print += "<td>" + respuesta[i]['requiM_total_usd'] + "</td>";
            }
            print += "<td>";
            print += "<div class='btn-group'>";
            print += "<a class='btn btn-primary' idFolio = " + respuesta[i]['id_folio'] + "><i class='fa fa-filter'></i></a>";
            print += "</div>";
            print += "</td>";
            print += "</tr>";
        }

        $("#printMatAprobado").html(print);
        TableCompras(nameTabla);
      }
    });
}
/*=============================================
  LISTADO DE MATERIALES PRINCIPAL SIN FILTRO
=============================================*/
function ObtenerMaterial() {
    var nameTabla = "tbl_material_aprobado";
    DestroyTableCompras(nameTabla);
    var valor = 0;
    var datos = new FormData();
    datos.append("GetMaterialAprobado_", valor);

    // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
    $.ajax({
      url: "ajax/compras.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success: function(respuesta) {
        var print = "";
        for (var i = 0; i < respuesta.length; i++) {
            print += "<tr>";
            print += "<td><input type='checkbox' name='checks[]' value="+ respuesta[i]['id_requi_material'] +"></td>";
            //print += "<td><label><input type='checkbox' class='flat-red'></label></td>";
            print += "<td>" + respuesta[i]['requiM_cantidad'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_unidad_medida'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_descripcion'] + "</td>";
            print += "<td>" + respuesta[i]['folio_numero'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_solicitante'] + "</td>";
            print += "<td>" + respuesta[i]['requiM_moneda'] + "</td>";
            if (respuesta[i]['requiM_moneda'] == "MXN") {
              print += "<td>" + respuesta[i]['requiM_total_mxn'] + "</td>";
            } else {
              print += "<td>" + respuesta[i]['requiM_total_usd'] + "</td>";
            }
            print += "<td>";
            print += "<div class='btn-group'>";
            print += "<a class='btn btn-primary filterMat' FolioFiltro = " + respuesta[i]['id_folio'] + "><i class='fa fa-filter'></i></a>";
            print += "</div>";
            print += "</td>";
            print += "</tr>";
        }

        $("#printMatAprobado").html(print);
        TableCompras(nameTabla);

        $(".loading_").addClass('hidden');
      }
    });
}
/*=============================================
  PROPIEDADES PARA ELIMINAR TABLA
=============================================*/
function DestroyTableCompras(idtable) {
  var table = $('#' + idtable).DataTable();
  table.destroy();
}
/*=============================================
  PROPIEDADES PARA CREAR TABLA
=============================================*/
function TableCompras(idtable) {
  $('#' + idtable).DataTable({
    "bPaginate": true,
    "bFilter": true,
    "bInfo": true,
    "language": {
      "sProcessing": "Procesando...",
      "sLengthMenu": "Mostrar _MENU_ registros",
      "sZeroRecords": "No se encontraron resultados",
      "sEmptyTable": "Ningún dato disponible en esta tabla",
      "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
      "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
      "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
      "sInfoPostFix": "",
      "sSearch": "Buscar:",
      "sUrl": "",
      "sInfoThousands": ",",
      "sLoadingRecords": "Cargando...",
      "oPaginate": {
        "sFirst": "Primero",
        "sLast": "Último",
        "sNext": "Siguiente",
        "sPrevious": "Anterior"
      },
      "oAria": {
        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
      }
    },
    "lengthMenu": [
      [10, 15, 20, -1],
      [10, 15, 20, "Todos"]
    ]
  });
  //Priopiedades de checkbox
  $('.mailbox-messages input[type="checkbox"]').iCheck({
    checkboxClass: 'icheckbox_flat-blue',
    radioClass: 'iradio_flat-blue'
  });
}

/*=============================================
  PROPIEDADES PARA CREAR TABLA
=============================================*/
function TableSinPaginado(idtable) {
  $('#' + idtable).DataTable({
    "bPaginate": false,
    "bFilter": true,
    "bInfo": false,
    "language": {
      "sProcessing": "Procesando...",
      "sLengthMenu": "Mostrar _MENU_ registros",
      "sZeroRecords": "No se encontraron resultados",
      "sEmptyTable": "Ningún dato disponible en esta tabla",
      "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
      "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
      "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
      "sInfoPostFix": "",
      "sSearch": "Buscar:",
      "sUrl": "",
      "sInfoThousands": ",",
      "sLoadingRecords": "Cargando...",
      "oPaginate": {
        "sFirst": "Primero",
        "sLast": "Último",
        "sNext": "Siguiente",
        "sPrevious": "Anterior"
      },
      "oAria": {
        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
      }
    },
    "lengthMenu": [
      [10, 15, 20, -1],
      [10, 15, 20, "Todos"]
    ]
  });
  //Priopiedades de checkbox
  $('.mailbox-messages input[type="checkbox"]').iCheck({
    checkboxClass: 'icheckbox_flat-blue',
    radioClass: 'iradio_flat-blue'
  });
}
